Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162744 - up2date --get packagename fails
Summary: up2date --get packagename fails
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 07:29 UTC by Andrew Schultz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-05 16:32:11 UTC


Attachments (Terms of Use)

Description Andrew Schultz 2005-07-08 07:29:35 UTC
Description of problem:
up2date --get packagename always fails.

# up2date -v --get mozilla-chat

Fetching all package list for channel: updates-released...
An error has occurred:
exceptions.TypeError
See /var/log/up2date for more information

/var/log/up2date includes:
[Fri Jul  8 03:26:49 2005] up2date allAvailablePackageList from network
[Fri Jul  8 03:26:49 2005] up2date   File "/usr/sbin/up2date", line 1265, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 708, in main
    return getPackages(pkgNames)
   File "/usr/sbin/up2date", line 995, in getPackages
    progressCallback = wrapperUtils.percent)
   File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 279, in
getAllAvailableAllArchPackageList
    package_list = allAvailablePackageList(
   File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 218, in
allAvailablePackageList
    progressCallback = progressCallback )
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/share/rhn/up2date_client/repoDirector.py", line 24, in listAllPackages
    return self.handlers[channel['type']].listAllPackages(channel, msgCallback,
progressCallback)
   File "/usr/share/rhn/up2date_client/rpmSource.py", line 241, in listAllPackages
    msgCallback, progressCallback)

Version-Release number of selected component (if applicable):
up2date-4.4.23-4

Comment 1 John Thacker 2006-10-29 20:31:08 UTC
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Comment 2 John Thacker 2006-11-05 16:32:11 UTC
Closing per previous message.


Note You need to log in before you can comment on or make changes to this bug.